Page 3 of 3 FirstFirst 123
Results 21 to 28 of 28

Thread: Unfortunately, your browser does not support video playback.

  1. #21
    Join Date
    Jul 2007
    Location
    Tāmaki Makau-rau, NZ
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Unfortunately, your browser does not support video playback.

    Quote Originally Posted by mc4man View Post
    Just tried current image, correct, no video on that and likely other sites.
    Easy fix..
    Code:
    sudo apt install gstreamer1.0-libav
    That worked on my Ubuntu VM.

    If this applies to the live ISO, should someone report a bug?
    Ubuntu membership via Forums contributions
    BACKUP before installing or upgrading.

  2. #22
    Join Date
    Apr 2008
    Location
    Southern California, USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Unfortunately, your browser does not support video playback.

    It works with my installed partition, but budgie, xubuntu, kubuntu don't have libav:

    ubuntu gtstreamer before:
    Code:
    dpkg --get-selections | grep gstreamer
    gir1.2-gstreamer-1.0:amd64            install
    gstreamer1.0-alsa:amd64                install
    gstreamer1.0-clutter-3.0:amd64            install
    gstreamer1.0-gl:amd64                install
    gstreamer1.0-gtk3:amd64                install
    gstreamer1.0-packagekit                install
    gstreamer1.0-plugins-base:amd64            install
    gstreamer1.0-plugins-base-apps            install
    gstreamer1.0-plugins-good:amd64            install
    gstreamer1.0-pulseaudio:amd64            install
    gstreamer1.0-tools                install
    gstreamer1.0-x:amd64                install
    libgstreamer-gl1.0-0:amd64            install
    libgstreamer-plugins-base1.0-0:amd64        install
    libgstreamer-plugins-good1.0-0:amd64        install
    libgstreamer1.0-0:amd64                install
    After the libav was added and it worked.

  3. #23
    Join Date
    Jun 2007
    Beans
    17,304

    Re: Unfortunately, your browser does not support video playback.

    Actually after taking a look it's libavcodecXX that firefox needs for such vids, local or online.
    By default it can play webm so it works without libavcodecXX on youtube or on any webm file, vp8/9 or av1, opus audio.

  4. #24
    Join Date
    Apr 2008
    Location
    Southern California, USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Unfortunately, your browser does not support video playback.

    Quote Originally Posted by mc4man View Post
    Actually after taking a look it's libavcodecXX that firefox needs for such vids, local or online.
    By default it can play webm so it works without libavcodecXX on youtube or on any webm file, vp8/9 or av1, opus audio.
    Why does Budgie work without it?

  5. #25
    Join Date
    Jun 2007
    Beans
    17,304

    Re: Unfortunately, your browser does not support video playback.

    Quote Originally Posted by VMC View Post
    Why does Budgie work without it?
    According to manifest it ships with libavcodec58:amd64 (7:4.2.2-1ubuntu1
    You don't have it installed?

  6. #26
    Join Date
    Apr 2008
    Location
    Southern California, USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Unfortunately, your browser does not support video playback.

    Quote Originally Posted by mc4man View Post
    According to manifest it ships with libavcodec58:amd64 (7:4.2.2-1ubuntu1
    You don't have it installed?
    Correction, I do:
    Code:
    $ dpkg --get-selections | grep libavcode
    libavcodec58:amd64                install
    update:So that means Budgie has that codec, ubuntu doesn't. I need to check x/kubuntu also.
    Last edited by VMC; March 22nd, 2020 at 03:20 PM.

  7. #27
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Unfortunately, your browser does not support video playback.

    Two things migh help (even though old... )
    1. try to install libavcode-extra
    2. firefox about:config media.libavcodec.allow-obsolete false>true
    No promises, no guarantee.
    Ignota nulla curatio morbi.

  8. #28
    Join Date
    Apr 2008
    Location
    Southern California, USA
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Unfortunately, your browser does not support video playback.

    On my Budgie ,media.libavcodec.allow-obsolete = "false", and the web videos work.

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •